> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scoot.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Room Set Management

Updates a room set.


## OpenAPI

````yaml PATCH /api/v1/social/room/set
openapi: 3.0.2
info:
  title: Scoot Customer API - Complete Documentation
  version: 1.0.0
  description: >-
    Complete API documentation for Scoot customer-facing endpoints with full
    type definitions from the backend service.
servers:
  - url: https://api.scoot.app
    description: Production server
security: []
tags:
  - name: Social
    description: Social event management endpoints
  - name: Room
    description: Room management endpoints
  - name: Theme
    description: Theme and background management endpoints
  - name: Event
    description: Event registration and management endpoints
  - name: Recording
    description: Recording and transcription endpoints
  - name: Playlist
    description: Audio playlist management endpoints
  - name: Badging
    description: Badge and gamification endpoints
  - name: User
    description: User management endpoints
paths:
  /api/v1/social/room/set:
    patch:
      tags:
        - SocialController
      summary: PATCH /api/v1/social/room/set
      operationId: patch__api_v1_social_room_set
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SocialRoomSet'
      responses:
        '200':
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    SocialRoomSet:
      type: object
      properties:
        socialRoomSetId:
          type: string
          format: uuid
        name:
          type: string
        description:
          type: string
        entryOption:
          enum:
            - DEFAULT
            - ACCOUNT
            - CUSTOM_RULES
            - STARTING_POINT
        groupFormerCount:
          type: integer
        anyoneCanStart:
          type: boolean
        allowGuestUsers:
          type: boolean
        hostAdmitted:
          type: boolean
        socialPermissionType:
          enum:
            - PUBLIC
            - COMPANY_AND_CONNECTIONS
            - CONNECTIONS
            - COMPANY
        startingPointSocialId:
          type: string
          format: uuid
        hostUser:
          $ref: '#/components/schemas/User'
        socials:
          type: array
          items:
            $ref: '#/components/schemas/Social'
        alternateHosts:
          type: array
          items:
            $ref: '#/components/schemas/User'
    User:
      type: object
      properties:
        userId:
          type: string
          format: uuid
        name:
          type: string
        firstName:
          type: string
        middleName:
          type: string
        lastName:
          type: string
        emailAddress:
          type: string
        emailVerified:
          type: boolean
        preload:
          type: boolean
        mobilePhone:
          type: string
        mobilePhoneVerified:
          type: boolean
        mobilePhoneVerifiedWeb:
          type: boolean
        profileId:
          type: string
        profileImageURI:
          type: string
        profileImageId:
          type: string
          format: uuid
        profileImageBackground:
          type: string
        timeZone:
          type: string
        registeredDateTime:
          type: string
          format: date-time
        active:
          type: boolean
        actedAs:
          type: boolean
    Social:
      type: object
      properties:
        socialId:
          type: string
          format: uuid
        socialRoomSetId:
          type: string
          format: uuid
        userId:
          type: string
          format: uuid
        companyId:
          type: string
          format: uuid
        name:
          type: string
        description:
          type: string
        socialURI:
          type: string
        sessionId:
          type: string
        isOpen:
          type: boolean
        recurring:
          type: boolean
        anyoneCanStart:
          type: boolean
        isValid:
          type: boolean
        free:
          type: boolean
        allowGuestUsers:
          type: boolean
        user:
          $ref: '#/components/schemas/User'
        socialPermissionType:
          enum:
            - PUBLIC
            - COMPANY_AND_CONNECTIONS
            - CONNECTIONS
            - COMPANY
        platform:
          enum:
            - SCOOT
            - PRECIATE
        maxParticipants:
          type: integer
        startingWidth:
          type: integer
        startingHeight:
          type: integer
        hostAdmitted:
          type: boolean
        themeId:
          type: string
          format: uuid
        configurationId:
          type: string
          format: uuid
        theme:
          $ref: '#/components/schemas/SocialTheme'
        playlistId:
          type: string
          format: uuid
        artifactSetId:
          type: string
          format: uuid
        startDateTime:
          type: string
          format: date-time
        endDateTime:
          type: string
          format: date-time
        dateCreated:
          type: string
          format: date-time
        companyName:
          type: string
        socialMeta:
          $ref: '#/components/schemas/SocialMeta'
        connectedRoom:
          type: boolean
        updatedByUser:
          $ref: '#/components/schemas/User'
        updatedDateTime:
          type: string
          format: date-time
        alternateHosts:
          type: array
          items:
            $ref: '#/components/schemas/User'
        myBadgeData:
          type: array
          items:
            $ref: '#/components/schemas/BadgeData'
    SocialTheme:
      type: object
      properties:
        socialThemeId:
          type: string
          format: uuid
        type:
          enum:
            - LAYERED
            - SINGLE_IMAGE
            - SINGLE_COLOR
        socialThemeName:
          type: string
        description:
          type: string
        colorPrimary:
          type: string
        colorSecondary:
          type: string
        colorBackground:
          type: string
        colorGradientBackground:
          type: string
        colorButtonText:
          type: string
        colorButtonBG:
          type: string
        imageFarURI:
          type: string
        imageMidURI:
          type: string
        imageNearURI:
          type: string
        previewImageURI:
          type: string
        minimapImageURI:
          type: string
        imageWidth:
          type: integer
        imageHeight:
          type: integer
        templateId:
          type: string
        defaultArtifactSetId:
          type: string
          format: uuid
        dateCreated:
          type: string
          format: date-time
        multiSize:
          type: boolean
        addToMiniMap:
          type: boolean
        tiles:
          type: array
          items:
            $ref: '#/components/schemas/SocialThemeImageTile'
        uploadStatus:
          $ref: '#/components/schemas/RequestStatus'
    SocialMeta:
      type: object
      properties:
        socialMetaId:
          type: string
          format: uuid
        numberOfInvites:
          type: integer
        numberOfAttendees:
          type: integer
        numberCurrentlyPresent:
          type: integer
        audioHost:
          type: string
        audioElementURL:
          type: string
        peerConnectionURL:
          type: string
    BadgeData:
      type: object
      properties:
        title:
          type: string
        value:
          type: string
        multiValues:
          type: array
          items:
            type: string
        options:
          type: array
          items:
            type: string
        description:
          type: string
        required:
          type: boolean
        featured:
          type: boolean
        visibility:
          enum:
            - ALL
            - ACCOUNT_USERS
            - HOSTS
            - INTERNAL
        inputType:
          enum:
            - TEXT
            - PARAGRAPH
            - SINGLE_SELECT
            - MULTI_SELECT
            - NUMBER
    SocialThemeImageTile:
      type: object
      properties:
        uri:
          type: string
        x:
          type: integer
        'y':
          type: integer
        width:
          type: integer
        height:
          type: integer
    RequestStatus:
      type: object
      properties:
        requestStatusId:
          type: string
          format: uuid
        userId:
          type: string
          format: uuid
        requestId:
          type: string
        status:
          enum:
            - IN_PROGRESS
            - COMPLETED
            - FAILED
        progress:
          type: integer
        failureReason:
          type: string
        startedDateTime:
          type: string
          format: date-time
        endedDateTime:
          type: string
          format: date-time
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````